%global momorel 1

Summary: The GNOME Volume Manager
Name: gnome-volume-manager

Version: 2.22.5
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/System
URL: http://www.gnome.org/

Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.22/%{name}-%{version}.tar.bz2
NoSource: 0
Source2: gthumb-import
Source3: gnome-cdda-handler
Source4: cdda-url-handler.schemas

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: libgnomeui-devel >= 2.20.1.1
BuildPrereq: libglade2-devel >= 2.6.2
BuildPrereq: hal-devel >= 0.5.10
BuildPrereq: dbus-glib-devel >= 0.74
BuildPrereq: gtk2-devel >= 2.12.3
BuildPrereq: libnotify-devel >= 0.4.4
BuildPrereq: GConf2

Requires: gnome-mime-data, hal, kernel, control-center
Requires: dbus
Requires: gthumb
Requires: gnome-media
Requires: gnome-mount

%description
The GNOME Volume Manager monitors volume-related events and responds with
user-specified policy.  The GNOME Volume Manager can automount hot-plugged
drives, automount inserted removable media, autorun programs, automatically
play audio CDs and video DVDs, and automatically import photos from a digital
camera.  The GNOME Volume Manager does this entirely in user-space and without
polling.

The GNOME Voume Manager sits at the top end of a larger picture that aims to
integrate the Linux system from the kernel on up through the desktop and its
applications.

%prep
%setup -q

%build
%configure --disable-schemas-install --enable-multiuser --enable-automount
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

install -m 755 %{SOURCE2} %{buildroot}%{_bindir}/gthumb-import
install -d %{buildroot}%{_libexecdir}/
install -m 755 %{SOURCE3} %{buildroot}%{_libexecdir}/gnome-cdda-handler
install -m 755 %{SOURCE4} %{buildroot}%{_sysconfdir}/gconf/schemas/cdda-url-handler.schemas

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gnome-volume-manager.schemas cdda-url-handler.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S >/dev/null
done

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_sysconfdir}/gconf/schemas/cdda-url-handler.schemas
%{_sysconfdir}/gconf/schemas/gnome-volume-manager.schemas
%{_sysconfdir}/xdg/autostart/gnome-volume-manager.desktop
%{_bindir}/gnome-volume-properties
%{_bindir}/gthumb-import
%{_datadir}/applications/gnome-volume-properties.desktop
%{_datadir}/gnome-volume-manager
%{_datadir}/locale/*/*/*.mo
%{_libexecdir}/gnome-cdda-handler
%{_libexecdir}/gnome-volume-manager

%changelog
* Sun Apr 27 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.5-1m)
- update to 2.22.5

* Fri Apr 25 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.2-1m)
- update to 2.22.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.1-2m)
- rebuild against gcc43

* Sun Jan 20 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1-1m)
- update 2.22.1

* Tue Jan  8 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-1m)
- update 2.22.0

* Thu Feb 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.0-3m)
- rewind %%post script (gconftool-2)

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.0-2m)
- revice %%post script (gconftool-2)

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.0-1m)
- update to 2.17.0 (unstable)

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.15.0-1m)
- update 2.15.0

* Fri Sep  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.5.15-4m)
- rebuild against dbus 0.92

* Wed Jun 14 2006 Nishio Futoshi <futoshi@momonga-linus.org>
- (1.5.15-3m)
- Add Requires: gnome-mount (eject data CD, DVD, etc.)

* Tue May  2 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.5.15-2m)
- rebuild against dbus-0.61

* Tue Apr 11 2006 Nishio Futoshi <futoshi@momonga-linus.org>
- (1.5.15-1m)
- update to 1.5.15

* Sun Feb 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.5.4-3m)
- fix conflict directory

* Tue Jan  3 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.5.4-2m)
- rebuild against dbus-0.60-2m

* Sat Oct 29 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.5.4-1m)
- version 1.5.4

* Sat Jan 29 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.1.2-1m)
- import from FC3
- version 1.1.2

* Mon Oct 18 2004 John (J5) Palmieri <johnp@redhat.com> - 1.1.0-5
- Merged the photo-defaults patch with a new rh-defaults patch
- Shut off autorun by default as it is a security concern and we
  currently don't have any use for it
- Added policy-after-explicit-mount-only patch which fixes problems
  such as a user mounting a removable drive from the command line
  and a Nautilus window pops up, and two Nautilus windows popping 
  up in browser mode when a device is mounted through Nautilus.
#'

* Fri Oct 08 2004 John (J5) Palmieri <johnp@redhat.com> - 1.1.0-4
- exclude building on s390 and s390x

* Wed Oct 06 2004 John (J5) Palmieri <johnp@redhat.com> - 1.1.0-3
- Added gnome-cdda-handler and associated schema to cause the
  cdda url handler to use the values in g-v-m's gconf key for
  audio cd's.  This causes the g-v-m selected application for 
  audio cd's to launch when double clicking on an audio cd icon
  in Nautilus.
#'

* Thu Sep 30 2004 John (J5) Palmieri <johnp@redhat.com>
- Added patch to add the dbus-glib-lowlevel.h header

* Mon Sep 20 2004 David Zeuthen <davidz@redhat.com>
- Update to upstream version 1.1.0
- Fix requirement for gnome-cd to be the gnome-media package

* Mon Sep 20 2004 David Zeuthen <davidz@redhat.com>
- Add locking patch

* Fri Sep 17 2004 John (J5) Palmieri <johnp@redhat.com>
- Update to upstream 1.0.2
- Readd patches I took out by accident
- Add a requirement for gthumb and gnome-cd

* Mon Sep 13 2004 John (J5) Palmieri <johnp@redhat.com>
- Update to upstream 1.0

* Fri Sep 03 2004 John (J5) Palmieri <johnp@redhat.com>
- gthumb-import now checks to see if there is a DCIM directory
  and open up to that directory if so 

* Wed Sep 01 2004 Davidz Zeuthen <davidz@redhat.com>
- Fix a few issues to keep up with hal

* Tue Aug 31 2004 John (J5) Palmieri <johnp@redhat.com>
- Update to upstream release 0.9.10
- Add gthumb-import wrapper to import photos correctly
- Add patch to set gthumb-import as the default photo importer
- Add patch to put desktop file in the X-Red-Hat-Base Catagory
- Fixes RH Bug 130866

* Fri Aug 20 2004 John (J5) Palmieri <johnp@redhat.com>
- Added Provides: magicdev to fix conflict

* Tue Aug 17 2004 David Zeuthen <davidz@redhat.com>
- Update to upstream release 0.9.9
- Apply mount-unmount patch

* Mon Jul 26 2004 Ray Strode <rstrode@redhat.com>
- Add magicdev compatibility wrapper script and obsolete magicdev.

* Thu May 27 2004 John (J5) Palmieri <johnp@redhat.com>
- Upstream CVS 

* Wed May 05 2004 John (J5) Palmieri <johnp@redhat.com>
- Made sure GConf Schemas are installed

* Tue Apr 20 2004 John (J5) Palmieri <johnp@redhat.com>
- initial packaging of 0.9.2

